Subject: Re: bug#56662: 29.0.50; Funny region highlights when highlight-nonselected-windows is t

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jul 2022 15:48:13 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Jul 2022 18:13:16 +0530
> 
> [புதன் ஜூலை 20, 2022] Eli Zaretskii wrote:
> 
> >> From: Visuwesh <[email-masked]>
> >> Date: Wed, 20 Jul 2022 17:05:11 +0530
> >> 
> >>     1. emacs -Q
> >>     2. Visit a longish file.
> >>     3. C-x 3 and scroll up in any of the window.
> >>     4. M-: (setq highlight-nonselected-windows t) RET.
> >>     5. Create an active region and compare the highlighting.
> >
> > What is wrong with this behavior?  In each window the region between
> > the mark and point is highlighted, as you requested by turning on that
> > option.
> >
> > What am I missing?
> 
> Since the point is local to the window, it felt natural that the region
> would be too.

And it is.  But the mark originally is the same.  If you switch to the
other window and set its mark in a different place, you will have
completely separate and independent highlighting.

> But since the region simply highlights the text between the point
> and the mark, the current behaviour is not strange indeed.  I guess
> there's nothing to do here and this bug can be closed?

Yes, I think this is the intended behavior.